eID middleware |

# be.portugal.eid.PTEID_ExCertNoIssuer Class Reference

Exception class Certificate No Issuer (error code = EIDMW_ERR_CERT_NOISSUER). More...

Inheritance diagram for be.portugal.eid.PTEID_ExCertNoIssuer:

List of all members.

## Public Member Functions
synchronized void | delete ()
| PTEID_ExCertNoIssuer ()
| Constructor.
## Protected Member Functions
| PTEID_ExCertNoIssuer (long cPtr, boolean cMemoryOwn)
void | finalize ()
## Static Protected Member Functions
static long | getCPtr (PTEID_ExCertNoIssuer obj)

## Detailed Description

Exception class Certificate No Issuer (error code = EIDMW_ERR_CERT_NOISSUER).

Thrown when asked for the issuer of a root certificate Used in : - PTEID_Certificate.getIssuer()

## Constructor & Destructor Documentation

be.portugal.eid.PTEID_ExCertNoIssuer.PTEID_ExCertNoIssuer | ( | long | cPtr,
|  | boolean | cMemoryOwn |
| ) |  |  | `[protected]`

be.portugal.eid.PTEID_ExCertNoIssuer.PTEID_ExCertNoIssuer | ( |  | ) |

Constructor.

## Member Function Documentation

synchronized void be.portugal.eid.PTEID_ExCertNoIssuer.delete | ( |  | ) |

Reimplemented from be.portugal.eid.PTEID_Exception.

References be.portugal.eid.PTEID_Exception.swigCMemOwn.

void be.portugal.eid.PTEID_ExCertNoIssuer.finalize | ( |  | ) | `[protected]`

Reimplemented from be.portugal.eid.PTEID_Exception.

static long be.portugal.eid.PTEID_ExCertNoIssuer.getCPtr | ( | PTEID_ExCertNoIssuer | obj | ) | `[static, protected]`

References be.portugal.eid.PTEID_ExCertNoIssuer.swigCPtr.